QGIS Application - Bug report #16605
TauDEM MoveOutletsToStreams cannot find executable
2017-05-23 02:08 PM - Ross McDonald

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.18.7 Regression?: No
Operating System: Windows 7 x64 Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 24505
Description

There is an error in the TauDEM algorithm "Move outlets to streams" where it cannot find the executable. The text file in the following
locations needs to be edited:

apps\qgis\python\plugins\processing\algs\taudem\description\single\moveoutletstostrm.ixt
apps\qgis\python\plugins\processing\algs\taudem\description\multi\moveoutletstostrm.txt

Line 2 in each file - Instead of reading moveoutletstostrm it needs to be moveoutletstostreams so that it matches the executable
name in the TauDEM installation. | had to edit that before the process would run.

Windows 7 x64
2.18.7 x64
TauDEM 5.3.7
Microsoft MPI v8

History

#1 - 2017-05-23 02:31 PM - Ross McDonald

| see TauDEM is to removed from core to a separate provider in 3.0 (https://github.com/qgis/QGIS-Documentation/issues/1619). Will this still be a problem
in 3.07

#2 - 2017-05-29 11:17 AM - Alexander Bruy

This is not bug, in supported version of TauDEM this tool executable has name "moveoutletstostrm"

#3 - 2017-08-30 07:54 AM - Alexander Bruy
- Resolution set to wontfix
- Status changed from Open to Closed
